#include <iostream>

using namespace std;

int main ()
{
    char niz [999];

    cin >> niz;

    char st;

    cin >> st;

    char a = 'A';
    char a2 = 'a';
    char e = 'E';
    char e2 = 'e';
    char i = 'I';
    char i2 = 'i';
    char o = 'O';
    char o2 = 'o';
    char u = 'U';
    char u2 = 'u';
    char y = 'Y';
    char y2 = 'y';


if (st == 'c') {
    if (niz == 'a')
    {
        a = 'AfA';
    }

    if (niz == a1)
    {
        a2 = 'afa'
    }

    if (niz == e)
    {
        e = 'EfE'
    }


    if (niz == e2)
    {
        e2 = 'efe'
    }

    if (niz == i)
    {
        i = 'IfI'
    }

    if (niz == i2)
    {
        i2 = 'ifi'
    }

    if (niz == o)
    {
        o = 'OfO'
    }

    if (niz == o2)
    {
        o2 = 'ofo'
    }

    if (niz == u)
    {
        u = 'Ufu'
    }

    if (niz == u2)
    {
        u2 = 'ufu';
    }

    if (niz == y)
    {
        y = 'YfY'
    }

    if (niz == y2)
    {
        y2 = 'yfy'
    }
}





    cout << niz;

    return 0;
}
